/* HalfKay implementation
 * Based on Teensy Loader (cli) (http://www.pjrc.com/teensy/loader_cli.html)
 *
 * Copyright (C) 2016 Tomasz Kramkowski <tk@the-tk.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
#ifndef HALFKAY_H
#define HALFKAY_H

struct flashparams {
	size_t memsz;
	size_t blksz;
	size_t cmdsz;
	size_t addrshft;
};

int flash(const struct flashparams *fp, const char *file);
int reboot(const struct flashparams *fp);

#endif /* HALFKAY_H */
